classification
Title: Readd PyArg_VaParse to the stable API
Type: compile error Stage: resolved
Components: Interpreter Core Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: loewis, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2016-12-27 13:41 by serhiy.storchaka, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
PyArg_VaParse-limited-api.patch serhiy.storchaka, 2017-01-22 17:32 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (3)
msg284097 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-12-27 13:41
Seems PyArg_VaParse() and PyArg_VaParseTupleAndKeywords() were excluded from the stable API by the mistake in fixing issue11626. These functions was in the stable API before 3.3, and the documentation doesn't mention that they are not in the stable API.

I think they should be readded to the stable API.
msg286018 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-01-22 17:32
There are also issues with PyArg_ValidateKeywordArguments(), PyArg_UnpackTuple() and Py_BuildValue(). Their declarations are not available if define PY_SSIZE_T_CLEAN and Py_LIMITED_API < 3.3. But they were available in Python 3.2.

Proposed patch fixes these glitches.
msg286209 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-01-24 19:40
New changeset 5cdf383ef35c by Serhiy Storchaka in branch '3.5':
Issue #29083: Fixed the declaration of some public API functions.
https://hg.python.org/cpython/rev/5cdf383ef35c

New changeset 8eae65136000 by Serhiy Storchaka in branch '3.6':
Issue #29083: Fixed the declaration of some public API functions.
https://hg.python.org/cpython/rev/8eae65136000

New changeset b63d096403f4 by Serhiy Storchaka in branch 'default':
Issue #29083: Fixed the declaration of some public API functions.
https://hg.python.org/cpython/rev/b63d096403f4
History
Date User Action Args
2017-03-31 16:36:28dstufftsetpull_requests: + pull_request1014
2017-01-25 10:12:03serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-01-24 19:40:05python-devsetnosy: + python-dev
messages: + msg286209
2017-01-22 17:32:12serhiy.storchakasetfiles: + PyArg_VaParse-limited-api.patch
messages: + msg286018

assignee: serhiy.storchaka
keywords: + patch
stage: patch review
2016-12-27 13:42:14serhiy.storchakalinkissue23903 dependencies
2016-12-27 13:41:52serhiy.storchakacreate